## Type Conversions

Type Conversions

## Synopsis

    #include <libtracker-common/tracker-type-utils.h>

    gchar*              tracker_gint32_to_string            (gint32 i);
    gchar*              tracker_gint_to_string              (gint i);
    gchar*              tracker_glong_to_string             (glong i);
    GSList*             tracker_gslist_copy_with_string_data
                                                            (GSList *list);
    gchar**             tracker_gslist_to_string_list       (GSList *list);
    gchar*              tracker_guint32_to_string           (guint32 i);
    gchar*              tracker_guint_to_string             (guint i);
    gchar*              tracker_string_boolean_to_string_gint
                                                            (const gchar *value);
    gint                tracker_string_in_string_list       (const gchar *str,
                                                             gchar **strv);
    GSList*             tracker_string_list_to_gslist       (gchar **strv,
                                                             gsize length);
    gchar*              tracker_string_list_to_string       (gchar **strv,
                                                             gsize length,
                                                             gchar sep);
    time_t              tracker_string_to_date              (const gchar *date_string);
    gchar**             tracker_string_to_string_list       (const gchar *str);
    gboolean            tracker_string_to_uint              (const gchar *s,
                                                             guint *ret);

## Description

## Details

### tracker_gint32_to_string ()

    gchar*              tracker_gint32_to_string            (gint32 i);

`i` : |
Returns : |

### tracker_gint_to_string ()

    gchar*              tracker_gint_to_string              (gint i);

`i` : |
Returns : |

### tracker_glong_to_string ()

    gchar*              tracker_glong_to_string             (glong i);

`i` : |
Returns : |

### tracker_gslist_copy_with_string_data ()

    GSList*             tracker_gslist_copy_with_string_data
                                                            (GSList *list);

`list` : |
Returns : |

### tracker_gslist_to_string_list ()

    gchar**             tracker_gslist_to_string_list       (GSList *list);

`list` : |
Returns : |

### tracker_guint32_to_string ()

    gchar*              tracker_guint32_to_string           (guint32 i);

`i` : |
Returns : |

### tracker_guint_to_string ()

    gchar*              tracker_guint_to_string             (guint i);

`i` : |
Returns : |

### tracker_string_boolean_to_string_gint ()

    gchar*              tracker_string_boolean_to_string_gint
                                                            (const gchar *value);

`value` : |
Returns : |

### tracker_string_in_string_list ()

    gint                tracker_string_in_string_list       (const gchar *str,
                                                             gchar **strv);

`str` : |
`strv` : |
Returns : |

### tracker_string_list_to_gslist ()

    GSList*             tracker_string_list_to_gslist       (gchar **strv,
                                                             gsize length);

`strv` : |
`length` : |
Returns : |

### tracker_string_list_to_string ()

    gchar*              tracker_string_list_to_string       (gchar **strv,
                                                             gsize length,
                                                             gchar sep);

`strv` : |
`length` : |
`sep` : |
Returns : |

### tracker_string_to_date ()

    time_t              tracker_string_to_date              (const gchar *date_string);

`date_string` : |
Returns : |

### tracker_string_to_string_list ()

    gchar**             tracker_string_to_string_list       (const gchar *str);

`str` : |
Returns : |

### tracker_string_to_uint ()

    gboolean            tracker_string_to_uint              (const gchar *s,
                                                             guint *ret);

`s` : |
`ret` : |
Returns : |